Skip to main content
PUT
Update product attribute

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

product_id
integer
required

The product ID

Example:

1

id
integer
required

The product attribute ID

Example:

1

Body

application/json
attribute_id
integer

The ID of the attribute to link to this product. The id of an existing record in the products_attributes table.

Example:

1

sort
integer | null

Sort order (minimum 0). Must be at least 0.

Example:

0

options
integer[]

The id of an existing record in the products_attribute_options table.

Example:

Response

Success